Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.gui
Class DockableWindowFactory

    java.lang.Object
      org.gjt.sp.jedit.gui.DockableWindowFactory

    public class DockableWindowFactory

extends java.lang.Object

Loads `dockable.xml` files and manages creation of new dockable windows.

Since:
  jEdit 4.3pre2
See Also:
  `DockableWindowManager`

Constructor Summary
`DockableWindowFactory()`

Method Summary
`void` | `cacheDockableWindows(PluginJAR plugin, java.lang.String[] name, boolean[] actions, boolean[] movable)`
`org.gjt.sp.jedit.gui.DockableWindowFactory.Window` | `getDockableWindowFactory(java.lang.String name)`
`java.lang.String` | `getDockableWindowPluginClass(java.lang.String name)`
`static DockableWindowFactory` | `getInstance()`
`java.lang.String[]` | `getRegisteredDockableWindows()`
`void` | `loadDockableWindows(PluginJAR plugin, java.net.URL uri, PluginJAR.PluginCacheEntry cache)` Plugins shouldn't need to call this method.
`void` | `registerDockableWindow(PluginJAR plugin, java.lang.String name, java.lang.String code, boolean actions, boolean movable)`
`void` | `unloadDockableWindows(PluginJAR plugin)` Plugins shouldn't need to call this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DockableWindowFactory

    public DockableWindowFactory()

Method Detail

### getInstance

    public static DockableWindowFactory getInstance()

### loadDockableWindows

    public void loadDockableWindows(PluginJAR plugin,
                                    java.net.URL uri,
                                    PluginJAR.PluginCacheEntry cache)

  Plugins shouldn't need to call this method.

  Since:
    jEdit 4.2pre1

### unloadDockableWindows

    public void unloadDockableWindows(PluginJAR plugin)

  Plugins shouldn't need to call this method.

  Since:
    jEdit 4.2pre1

### cacheDockableWindows

    public void cacheDockableWindows(PluginJAR plugin,
                                     java.lang.String[] name,
                                     boolean[] actions,
                                     boolean[] movable)

  Since:
    jEdit 4.2pre1

### registerDockableWindow

    public void registerDockableWindow(PluginJAR plugin,
                                       java.lang.String name,
                                       java.lang.String code,
                                       boolean actions,
                                       boolean movable)

### getRegisteredDockableWindows

    public java.lang.String[] getRegisteredDockableWindows()

### getDockableWindowFactory

    public org.gjt.sp.jedit.gui.DockableWindowFactory.Window getDockableWindowFactory(java.lang.String name)

### getDockableWindowPluginClass

    public java.lang.String getDockableWindowPluginClass(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD